Bug 16376 - vlc stops playing audio after pause/resume or seek
Summary: vlc stops playing audio after pause/resume or seek
Status: RESOLVED OLD
Alias: None
Product: Mageia
Classification: Unclassified
Component: RPM Packages (show other bugs)
Version: 5
Hardware: x86_64 Linux
Priority: Normal normal
Target Milestone: ---
Assignee: Shlomi Fish
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-07-13 19:56 CEST by Carlos Vives
Modified: 2018-10-06 13:24 CEST (History)
2 users (show)

See Also:
Source RPM: vlc-2.2.1-1.mga5.tainted.src.rpm
CVE:
Status comment:


Attachments

Description Carlos Vives 2015-07-13 19:56:37 CEST
Description of problem:
VLC stops playing audio after pause/resume or seek. It seems highly file-dependent on my case, ie, with some files is nearly impossible to make it fail, with others the sounds seems to never return unless is manually switched off and on.

Never happened with Mageia 4, but seems very similar to a bug posted on launchad, so i used the same title for easier reference ( url: https://bugs.launchpad.net/ubuntu/+source/vlc/+bug/696841 ). They claim to have fixed it, but don't provide information whether it's fixed upstream or via distro-specific patch.

Version-Release number of selected component (if applicable):
2.2.1-1

How reproducible:
Always (depending on the file)

Steps to Reproduce:
1. Open some files with VLC, then seek
2. Sound stops playing


Reproducible: 

Steps to Reproduce:
David Walser 2015-07-30 17:32:15 CEST

Assignee: bugsquad => shlomif

Comment 1 Shlomi Fish 2015-07-30 18:41:40 CEST
I cannot reproduce it here:

<<<
 I also have an Acer Aspire 5738DZG laptop with the following specs:

    Intel Pentium(R) Dual-Core CPU T4300 @ 2.10GHz. (x86-64).
    ATI Mobility Radeon⢠HD 4570 (r700)
    15.6â³ 3D HD LCD Screen.
    3 GB Memory
    320 GB Hard Disk Drive.
    âDVD Super Multi DL driveâ
    Acer Nplify⢠802.11b/g/n.
>>>

Mageia Linux 5 x86-64. I Tried with the song44.ogg from the Ubuntu bug. Some questions:

1. Does it happen with PulseAudio? Does it happen without it?

2. Can you provide some offending files?

3. Does it happen when logged in as a new UNIX user account?

Ever confirmed: 1 => 0
Status: NEW => UNCONFIRMED

Comment 2 Carlos Vives 2015-07-30 20:07:13 CEST
I cannot reproduce with song44.ogg either. In my case, it seems to happen with h.264 (avc1) encoded videos.

To test it further i downloaded a video from publicdomainflicks.com. The original files, either mp4 and ogg, worked fine. However, if i transcode them with HandBrake to h.264, muting occurs.
However, it seems to be size or computational power dependant, since bigger files are much more likely to mute than smaller ones like the ones on that site; those can take a few seconds of abuse before muting, whereas some other files mute at first try.

As for your questions:

1. Yes, with PA. Switching VLC's output to ALSA works as a workaround, as it did for some people in the original bugreport

2. No problem, privately

3. It happens when new users, as VLC defaults to auto mode, wich in turn chooses PA if available
Comment 3 Shlomi Fish 2015-07-30 20:23:57 CEST
(In reply to Carlos Vives from comment #2)
> I cannot reproduce with song44.ogg either. In my case, it seems to happen
> with h.264 (avc1) encoded videos.
> 
> To test it further i downloaded a video from publicdomainflicks.com. The
> original files, either mp4 and ogg, worked fine. However, if i transcode
> them with HandBrake to h.264, muting occurs.

Can you give a sample HandBrake command line invocation?

> However, it seems to be size or computational power dependant, since bigger
> files are much more likely to mute than smaller ones like the ones on that
> site; those can take a few seconds of abuse before muting, whereas some
> other files mute at first try.
> 
> As for your questions:
> 
> 1. Yes, with PA. Switching VLC's output to ALSA works as a workaround, as it
> did for some people in the original bugreport
> 

Ah, I see.

> 2. No problem, privately
> 

You can send the files to shlomif@gmail.com and links to shlomif@shlomifish.org . Thanks.

> 3. It happens when new users, as VLC defaults to auto mode, wich in turn
> chooses PA if available

Ah, I see - OK.

Regards,

-- Shlomi Fish
Comment 4 Carlos Vives 2015-07-30 21:58:18 CEST
HandBrakeCLI --preset="Normal" --width=1920 --height=720 -i input.xyz -o test.mp4

With Normal being one of the default presets, as follows: -e x264  -q 20.0 -a 1 -E ffaac -B 160 -6 dpl2 -R Auto -D 0.0 --audio-copy-mask aac,ac3,dtshd,dts,mp3 --audio-fallback ffac3 -f mp4 --loose-anamorphic --modulus 2 -m --x264-preset veryfast --h264-profile main --h264-level 4.0

Width and heigth forced to make the computer work when reproducing the video. Tried with this video: http://www.archive.org/download/VoyagetothePlanetofPrehistoricWomen/VoyagetothePlanetofPrehistoricWomen.ogv
Comment 5 Shlomi Fish 2015-07-31 12:56:45 CEST
(In reply to Carlos Vives from comment #4)
> HandBrakeCLI --preset="Normal" --width=1920 --height=720 -i input.xyz -o
> test.mp4
> 
> With Normal being one of the default presets, as follows: -e x264  -q 20.0
> -a 1 -E ffaac -B 160 -6 dpl2 -R Auto -D 0.0 --audio-copy-mask
> aac,ac3,dtshd,dts,mp3 --audio-fallback ffac3 -f mp4 --loose-anamorphic
> --modulus 2 -m --x264-preset veryfast --h264-profile main --h264-level 4.0
> 
> Width and heigth forced to make the computer work when reproducing the
> video. Tried with this video:
> http://www.archive.org/download/VoyagetothePlanetofPrehistoricWomen/
> VoyagetothePlanetofPrehistoricWomen.ogv

With the test.mp4 produced by HandBrake using the command line when being input on http://www.archive.org/download/VoyagetothePlanetofPrehistoricWomen/VoyagetothePlanetofPrehistoricWomen.ogv I am able to reproduce the problem on my Mageia Linux x86-64 version 5 system on my Acer laptop. I have no idea how to fix it. Perhaps we should ask the Ubuntu people where and how it was fixed, or report the problem upstream.
Comment 6 Carlos Vives 2015-07-31 15:32:48 CEST
It's probably one of the patches upstream by Rémi around the date they closed the bugreport, but yeah, asking is probably better than looking for the particular commit (at least i didn't find a singular one refering to it).

That or backport 2.2.2 when it's released.
Jan Kulhanek 2015-10-04 12:10:05 CEST

CC: (none) => jan_kulhanek

Comment 7 Marja Van Waes 2018-04-14 23:41:00 CEST
@ Carlos,

Thank you for having taken the needed time to report this issue!

Did this bug get fixed? If so, please change its status to RESOLVED - FIXED

If it didn't, then we regret that we weren't able to fix it in Mageia 5. Mageia 5 has officially reached its End of Life on December 31st, 2017 https://blog.mageia.org/en/2017/11/07/mageia-5-eol-postponed/
It only continued to get important security updates since then, because we are waiting for a big Plasma5 update in Mageia 6, that'll fix many of the Mageia 5 => 6 upgrade issues.

If you haven't seen that this bug got fixed, then please check whether this bug still exists in Mageia 6. If it does, then please change the Version (near the top, at the left) to "6". If you know it exists in Cauldron, then change Version to Cauldron. If you see it in both Cauldron and Mageia 6, then please set version to Cauldron and add MGA6TOO on the Whiteboard.

Thanks,
Marja

(Changing status from unconfirmed to NEW, because Shlomi had reproduced the issue)

Status: UNCONFIRMED => NEW
CC: (none) => marja11
Ever confirmed: 0 => 1

Comment 8 Marja Van Waes 2018-10-06 13:24:49 CEST
No reply, so closing as OLD


@ Carlos
==> If you didn't reset your password after February 2018, then you'll need to reset it here https://identity.mageia.org/forgot_password to be able to log in and comment in this report. <==

Resolution: (none) => OLD
Status: NEW => RESOLVED


Note You need to log in before you can comment on or make changes to this bug.